import { XMPPService } from "../XMPPService";
import { GenericHandler } from "./GenericHandler";
import { RESTService } from "../RESTService";
declare class HttpoverxmppEventHandler extends GenericHandler {
    IQ_GET: any;
    IQ_SET: any;
    IQ_RESULT: any;
    IQ_ERROR: any;
    private _rest;
    options: any;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService, restService: RESTService, options: any);
    onIqGetSetReceived(msg: any, stanzaTab: any): void;
    onIqResultReceived(msg: any, stanzaTab: any): void;
    _onIqGetSetReqReceived(stanza: any, node: any): Promise<number>;
    _onIqRespResultReceived(stanza: any, node: any): Promise<void>;
}
export { HttpoverxmppEventHandler };
